<template>
	<div v-if="loading">
		<h4>Loadding</h4>
	</div>
	<div v-else>
		<section class="content">
			<div class="row">
				<div class="col-md-12">
					<div class="box box-primary">
						<div class="box-body no-padding">
							<table id="ad-settings" class="table table-bordered table-striped">
								<thead>
								<tr>
									<th></th>
									<th></th>
									<th>Default points</th>
									<th></th>
								</tr>
								</thead>
								<tbody>
								<tr :key="attribute.type" v-for="attribute in adAttributes">
									<td>{{attribute.name}}</td>
									<td>Any</td>
									<td>{{attribute.points}}</td>
									<td>
										<router-link :to="{ name:setMarkupCustomization(attribute['type']) }" class="pull-right tbl-btn-right"><i
											class="fa fa-plus"></i> Customize
										</router-link>
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
					<!-- /.box -->
				</div>
			</div>
		</section>
	</div>
</template>

<script src='./AdSetting.js'></script>
